using Avalonia.Controls;
using Avalonia.Input.Platform;

namespace Harmonia.UI.Platform;

public class ClipboardLocator : PlatformServiceLocator<IClipboard>, IClipboardLocator
{
    protected override IClipboard? GetFromWindow(Window mainWindow)
    {
        return mainWindow.Clipboard;
    }

    protected override IClipboard? GetFromTopLevel(TopLevel topLevel)
    {
        return topLevel.Clipboard;
    }
}